##########################################
########## TKClown Version 1.5 ###########
##########################################

##########################################
########## SCRIPT CONFIGURATION ##########
##########################################

# Chat messages on/off
tkclown_messages = 1

# 1 = the teamkiller will get the clown model again next round / 0 = only in current round
tkclown_addround = 1

##########################################
##### CHANGE NOTHING BELOW THIS LINE #####
##########################################

import es, playerlib

info = es.AddonInfo()
info.name = 'TKClown'
info.version = '1.5'
info.url = 'http://addons.eventscripts.com/addons/view/tkclown'
info.basename = 'tkclown'
info.author = 'Lumpi@Work'

es.set("tkclown_ver", 1.5)
es.makepublic("tkclown_ver")

es.msg("#multi", "#green[TKClown]#default: #lightgreenLoaded - Made by [BuH]Lump1")

def unload():
	es.msg("#multi", "#green[TKClown]#default: #lightgreenUnloaded")


tkclown_status = 0
es.keygroupcreate('tkclown_active')
es.keycreate('tkclown_active', 'teamkiller')

tkclown_model_ct = "player/tkclown/clown_gsg9/ct_gsg9.mdl"
tkclown_model_t = "player/tkclown/clown_leet/t_leet.mdl"


def es_map_start(event_var):

	# Leet Clown Model Files (T)
	es.stringtable('downloadables', 'materials/models/player/tkclown/clown_leet/t_leet.vtf')
	es.stringtable('downloadables', 'materials/models/player/tkclown/clown_leet/t_leet.vmt')
	es.stringtable('downloadables', 'materials/models/player/tkclown/clown_leet/t_leet_glass.vtf')
	es.stringtable('downloadables', 'materials/models/player/tkclown/clown_leet/t_leet_glass.vmt')
	es.stringtable('downloadables', 'models/player/tkclown/clown_leet/t_leet.dx80.vtx')
	es.stringtable('downloadables', 'models/player/tkclown/clown_leet/t_leet.dx90.vtx')
	es.stringtable('downloadables', 'models/player/tkclown/clown_leet/t_leet.mdl')
	es.stringtable('downloadables', 'models/player/tkclown/clown_leet/t_leet.phy')
	es.stringtable('downloadables', 'models/player/tkclown/clown_leet/t_leet.sw.vtx')
	es.stringtable('downloadables', 'models/player/tkclown/clown_leet/t_leet.vvd')
	es.stringtable('downloadables', 'models/player/tkclown/clown_leet/t_leet.xbox.vtx')

	# GSG9 Clown Model Files (CT)
	es.stringtable('downloadables', 'materials/models/player/tkclown/clown_gsg9/ct_gsg9.vtf')
	es.stringtable('downloadables', 'materials/models/player/tkclown/clown_gsg9/ct_gsg9.vmt')
	es.stringtable('downloadables', 'models/player/tkclown/clown_gsg9/ct_gsg9.dx80.vtx')
	es.stringtable('downloadables', 'models/player/tkclown/clown_gsg9/ct_gsg9.dx90.vtx')
	es.stringtable('downloadables', 'models/player/tkclown/clown_gsg9/ct_gsg9.mdl')
	es.stringtable('downloadables', 'models/player/tkclown/clown_gsg9/ct_gsg9.phy')
	es.stringtable('downloadables', 'models/player/tkclown/clown_gsg9/ct_gsg9.sw.vtx')
	es.stringtable('downloadables', 'models/player/tkclown/clown_gsg9/ct_gsg9.vvd')
	es.stringtable('downloadables', 'models/player/tkclown/clown_gsg9/ct_gsg9.xbox.vtx')

	index = es.precachemodel('models/player/tkclown/clown_leet/t_leet.mdl')
	index = es.precachemodel('models/player/tkclown/clown_gsg9/ct_gsg9.mdl')

def setskin():
	tkid = es.keygetvalue('tkclown_active', 'teamkiller', 'tkpid')
	tkplayer = playerlib.getPlayer(tkid)
	tkteam = tkplayer.teamid
	if tkteam == 2:
		tkplayer.set('model', tkclown_model_t)
	if tkteam == 3:
		tkplayer.set('model', tkclown_model_ct)

def player_death(event_var):
	if event_var['es_attackerteam'] == event_var['es_userteam']:
		if event_var['attacker'] != event_var['userid']:
			es.keysetvalue('tkclown_active', 'teamkiller', 'tkpid', event_var['attacker'])
			es.keysetvalue('tkclown_active', 'teamkiller', 'tkpname', event_var['es_attackername'])
			tkname = es.keygetvalue('tkclown_active', 'teamkiller', 'tkpname')
			es.tell(event_var['userid'], '#multi', '#greenYou got teamkilled by %s, now he becomes a clown!' % tkname)
			es.tell(event_var['attacker'], '#multi', '#greenYou killed a teammate! Now you become a clown!')
			setskin()

			es.sexec(event_var['attacker'], "say Woohooo, i'm a clown!")

			global tkclown_status
			tkclown_status = 1

def round_start(event_var):
	if tkclown_status == 1:
		if tkclown_addround == 1:
			setskin()
			tkid = es.keygetvalue('tkclown_active', 'teamkiller', 'tkpid')
			es.sexec(tkid, "say Woohooo, i'm a clown!")
			global tkclown_status
			tkclown_status = 0